
using System.Text.Json;
using AcaMate.Common.Data;
using AcaMate.Common.Models;
using AcaMate.Common.Token;
using AcaMate.V1.Models;
using AcaMate.V1.Services;
using Microsoft.AspNetCore.Http.HttpResults;
using Microsoft.AspNetCore.Mvc;

namespace AcaMate.V1.Controllers;

[ApiController]
[Route("/api/v1/in/member")]
[ApiExplorerSettings(GroupName = "사업자 정보")]
public class MemberController: ControllerBase
{
    private readonly ILogger<MemberController> _logger;
    private readonly AppDbContext _dbContext;
    private readonly IRepositoryService _repositoryService;
    private readonly JwtTokenService _jwtTokenService;

    public MemberController(AppDbContext dbContext, ILogger<MemberController> logger, IRepositoryService repositoryService, JwtTokenService jwtTokenService)
    {
        _dbContext = dbContext;
        _logger = logger;
        _repositoryService = repositoryService;
        _jwtTokenService = jwtTokenService;
    }
    
    [HttpGet("business")]
    public IActionResult GetBusinessData()
    {
        // return Ok("GOOD");
        return Ok("DB 참조");
    }

    
    
    
    
    
    // -- -- -- -- -- -- -- -- -- -- -- -- //

    [HttpGet("/api/v1/out/member/business")]
    public IActionResult SearchBusinessNo()
    {
        return Ok("외부 참조");
    }
    
}